%% function to create the sin shaped movement velocity
function [t,yNew,range]=only_sin_velocity_angle(start_angle,finish_angle) 

movement_velocity=40; % top speed of the movement in angles per second
frequency=0.01; % the frequency was chosen as 0.01
range_ang=finish_angle-start_angle; % range of motion of the movement
factor = 2*movement_velocity/range_ang; % factor to apply the chosen maximum movement velocity on the given range of motion

t = 0:frequency:2*pi/factor; % creation of the x-axis for the movement velocity curve
range=[t(1,1) t(1,end)]; % time range, needed for the setup files for the Inverse Dynamics and Static Optimization



y=sin(factor*t)*movement_velocity;  % creation of the y-axis for the movement angles
yNew=cumtrapz(y)*frequency+start_angle; % creation of the y_axis (velocity curve) of the movement velocity plot
 figure %control figure
 hold on
 plot(t,y)
 plot(t,yNew,'r')
 title ('movement angle and velocity in sin shape')
 legend('velocity','movement angle')

end

